Bug 19053 - Auto renewal flag is not kept if a confirmation is needed
Summary: Auto renewal flag is not kept if a confirmation is needed
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11577
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 16:50 UTC by Jonathan Druart
Modified: 2017-09-10 08:58 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19053: Keep auto_renew flag if a confirmation is needed (1.99 KB, patch)
2017-08-07 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19053: Keep auto_renew flag if a confirmation is needed (2.05 KB, patch)
2017-08-08 08:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19053: Keep auto_renew flag if a confirmation is needed (2.10 KB, patch)
2017-08-11 09:19 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-07 16:50:22 UTC
If an item is checked out with the auto renewal flag and a confirmation is needed (holds exist, past due date, etc.) the auto renewal flag will get lost.
Comment 1 Jonathan Druart 2017-08-07 16:52:50 UTC
Created attachment 65588 [details] [review]
Bug 19053: Keep auto_renew flag if a confirmation is needed

If an item is checked out with the auto renewal flag and a confirmation
is needed (holds exist, past due date, etc.) the auto renewal flag will
get lost.

Test plan:
- Check an item out and specify a past due date
- Confirm the checkout on the confirmation screen
=> Without this patch the checkout is not marked as auto renewal
=> With this patch applied the auto renewal flag will be set to the
checkout
Comment 2 Josef Moravec 2017-08-08 08:15:21 UTC
Created attachment 65615 [details] [review]
[SIGNED-OFF] Bug 19053: Keep auto_renew flag if a confirmation is needed

If an item is checked out with the auto renewal flag and a confirmation
is needed (holds exist, past due date, etc.) the auto renewal flag will
get lost.

Test plan:
- Check an item out and specify a past due date
- Confirm the checkout on the confirmation screen
=> Without this patch the checkout is not marked as auto renewal
=> With this patch applied the auto renewal flag will be set to the
checkout

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Julian Maurice 2017-08-11 09:19:46 UTC
Created attachment 65886 [details] [review]
Bug 19053: Keep auto_renew flag if a confirmation is needed

If an item is checked out with the auto renewal flag and a confirmation
is needed (holds exist, past due date, etc.) the auto renewal flag will
get lost.

Test plan:
- Check an item out and specify a past due date
- Confirm the checkout on the confirmation screen
=> Without this patch the checkout is not marked as auto renewal
=> With this patch applied the auto renewal flag will be set to the
checkout

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2017-08-15 15:28:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-06 13:24:54 UTC
Pushed to 17.05.x, will be in 17.05.04
Comment 6 Katrin Fischer 2017-09-10 08:58:36 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.